API Request & Response (Bank Account Verification)

This method helps you to verify and validate bank account ownership.

ENDPOINTS

Headers

PayloadTypeExampleDescription
App-IDstringRequiredApplication ID
API-KeystringRequiredAPI-Key

Request Parameters

PayloadTypeExampleDescriptionMandatory
bank_codestringbca

Bank Code (bank short name)

Not case-sensitive (BCA or bca)

Yes
account_numberstring11000000Account NumberYes
reference_idstringrefid_01

Optional payload if there’s additional need for creating a unique ID (this can be used for reconciliation purposes)


Note: If the reference_id is empty or not included in the request, Verihubs will generate the unique reference_id

No

Response Parameters

FieldTypeDescription
idstringTransaction ID
account_namestingAccount name from the requested account number
bank_codestringBank code from the requested account number
account_numberstringThe requested account number
reference_idstringReference ID of the requested result.

CURL

curl --location 'https://api.verihubs.com/v1/bank-account/verify' \
--header 'content-type: application/json' \
--header 'accept: application/json' \
--header 'app-id: ' \
--header 'api-key: ' \
--data '{
    "bank_code": "",
    "account_number": "",
    "reference_id": ""
}'

APP-ID & API-KEY

Create app-id & api-key on Verihubs dashboard: https://app.verihubs.com/application



Did this page help you?